aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Turner <jturner@gemini.edu>2019-08-01 18:03:42 -0400
committerJames Turner <jturner@gemini.edu>2019-08-01 18:03:42 -0400
commitc594b7842f8bc804daa3c264371bc06038c2a1e1 (patch)
treef401477a26cda4cd0224df78f31ce35de6fba1b5
parenta40b709d3f5fb2d70e66108de2c884dd9660028a (diff)
downloadastroconda-iraf-c594b7842f8bc804daa3c264371bc06038c2a1e1.tar.gz
Add a package for the local calibration manager for DRAGONS (which comes from a subdir of the private FITS storage repository).
-rw-r--r--gemini_calmgr/bld.bat3
-rw-r--r--gemini_calmgr/build.sh13
-rw-r--r--gemini_calmgr/meta.yaml22
3 files changed, 38 insertions, 0 deletions
diff --git a/gemini_calmgr/bld.bat b/gemini_calmgr/bld.bat
new file mode 100644
index 0000000..228fa9e
--- /dev/null
+++ b/gemini_calmgr/bld.bat
@@ -0,0 +1,3 @@
+# No idea whether this works; I copied it from rcardenes:
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
diff --git a/gemini_calmgr/build.sh b/gemini_calmgr/build.sh
new file mode 100644
index 0000000..eee4b72
--- /dev/null
+++ b/gemini_calmgr/build.sh
@@ -0,0 +1,13 @@
+cd local_calibs
+
+$PYTHON setup.py install --single-version-externally-managed --record=record.txt || exit 1
+
+# # According to conda-forge #528 and the conda-forge docs, this seems to be a
+# # newer way of doing the above (also need to add "pip" to build or host deps.
+# # in meta.yaml), but it's not actually working for me with conda-build
+# # 3.10.5; stick to the way AstroConda does it for now.
+# $PYTHON -m pip install --no-deps --ignore-installed -vv . || exit 1
+
+mkdir -p ${PREFIX}/share/gemini_calmgr/
+cp -p LICENSE ${PREFIX}/share/gemini_calmgr/ || exit 1
+
diff --git a/gemini_calmgr/meta.yaml b/gemini_calmgr/meta.yaml
new file mode 100644
index 0000000..f16c586
--- /dev/null
+++ b/gemini_calmgr/meta.yaml
@@ -0,0 +1,22 @@
+package:
+ name: gemini_calmgr
+ version: "0.9.12rc1"
+source:
+ svn_url: http://scisoft.gemini.edu/svn/FitsStorage/branches/GeminiCalMgr-0.9
+ # svn_tag: v0.9.12rc1 # TBC
+build:
+ number: '0'
+about:
+ home: http://www.gemini.edu/sciops/data-and-results/processing-software
+ license: BSD
+ summary: Local calibration manager for use with DRAGONS
+requirements:
+ build:
+ - python
+ - setuptools
+ run:
+ - python
+ - astropy >=1.2.1
+ - dragons >=2
+ - sqlalchemy >=1.0
+